using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class ListItem
    {
        public static ListItemHandler Click(string value,int id, int repeatingTime = 0)
        {
            return HandlerProvider.ListItemHandler.Click(value, id, repeatingTime);
        }
        public static ListItemHandler DoubleClick(string value, int id, int repeatingTime = 0)
        {
            return HandlerProvider.ListItemHandler.DoubleClick(value, id, repeatingTime);
        }
        public static ListItemHandler Click(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ListItemHandler.Click(value, repeatingTime);
        }
        public static ListItemHandler DoubleClick(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ListItemHandler.DoubleClick(value, repeatingTime);
        }
        public static bool ListItemExist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.ListItemHandler.ListItemExist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool ListItemExist(string value,int id, int repeatingTime = 0)
        {
            if (HandlerProvider.ListItemHandler.ListItemExist(value, id, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
